from ase.all import *
import numpy

ref=13

traj=[]
for i in range(14):
    atoms=read("%02d/POSCAR"%i)
    scaled=atoms.get_scaled_positions()

    atoms.set_scaled_positions(scaled)

    for iatom in range(len(atoms)):
        for iaxis in range(3):
            if scaled[iatom,iaxis] > 0.85:
                atoms[iatom].position=atoms[iatom].position-atoms.cell[iaxis]
    
    traj.append(atoms)

#view(traj)

pos0=traj[ref].get_positions()

rms=[]
for image in range(len(traj)):
    pos=traj[image].get_positions()
#    print "\n%d"%image
#    print numpy.square(pos-pos0)
#    print numpy.sum(numpy.square(pos-pos0)
    rms.append(numpy.sqrt(numpy.sum(numpy.square(pos-pos0))))
    print "%02d  %.6f" % (image, rms[-1])

#print rms
