#!/bin/bash

for iconfig in {01..13} ;
do
    cd $iconfig
    echo  $iconfig $pwd
    if [[ -e ./OUTCAR ]] ;
    then
      converged=$(grep -c 'reached required accuracy' ./OUTCAR);
      nsteps=$(grep -c aborting ./OUTCAR);
    else
      converged=0
      nsteps=0;
    fi
  
      if (( $converged==0 || $nsteps!=1 )) ;
    then
      echo  $iconfig $( grep "free  energy" OUTCAR | tail -1 ) >> ../not_converged.txt
    else
      echo  $iconfig $( grep "free  energy" OUTCAR | tail -1 ) >> ../converged.txt
    fi
    cd ../;
done

