from ase.all import *

images0=[]
for i in range(8):
    atoms=read("../Kpts_4x4x3/0%d/POSCAR"%i)
    scaled=atoms.get_scaled_positions()

    atoms.set_scaled_positions(scaled)

    for iatom in range(len(atoms)):
        for iaxis in range(3):
            if scaled[iatom,iaxis] > 0.85:
                atoms[iatom].position=atoms[iatom].position-atoms.cell[iaxis]

    images0.append(atoms)

#view(images0)

images=[images0[0],images0[1]]
for i in range(1,7):
    atoms=images0[i].copy()
    pos0=images0[i].get_positions()
    pos1=images0[i+1].get_positions()
    atoms.set_positions((pos0+pos1)/2.)
    images.append(atoms)
    images.append(images0[i+1])

#print len(images)
#view(images)

for istruct in range(len(images)):
    write("POSCAR%02d"%istruct,images[istruct],direct=True,vasp5=True)
